JRuby 1.4.0 wurde Veröffentlicht

von Gregor Panek | 02 November 2009

Logo JRuby Die Testphase ist vorbei. Heute erscheint mit der Version 1.4.0 eine neue JRuby Version. Lange hat es gedauert, so gab es bis Dato drei vorab Versionen bis schlussendlich die finale Version veröffentlich wurde. Gibt es endlich den lang erwarteten Support für Ruby 1.9? Was wurde verbessert, welche Fehler wurden behoben?

Leider muss man sagen, das es noch keinen Support für Ruby 1.9 gibt. Die neuste JRuby Version unterstützt jetzt Ruby bis zur Version 1.8.7. Damit die Entwicklung weiter voranschreitet, wird die Community gebeten ihre Programme die für die Ruby Version 1.9 geschrieben wurden, mit der aktuellen JRuby Version zu testen und die Entwickler über Probleme, Funktionen usw. zu informieren.

Hier einige der wichtigsten Neuerungen in Jruby 1.4.0:

  • Kompabilität mit Ruby 1.8.7 (Patchlevel 174)
  • Integrierter Windows starter
  • Neuer YAML parser
  • Verbesserte Java Unterstützung
  • Rubygems in der Version 1.3.5
  • Verbesserte Fehlerberichtserstattung
  • 307 Bugs wurden gefixed seit Version 1.3.1

Wer eine genaue Auflistung aller Neuerungen und Bugfixes haben möchte besucht am Besten die Entwickler Seiteextern_link_icon. Die neue JRuby Version gibt es in verschiedenen Paketen als Downloadextern_link_icon.

[Quelle: http://jruby.org/2009/11/02/jruby-1-4-0.html]